<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>XsRawGnssPvtData Struct Reference</title>
<link href="xsens.css" rel="stylesheet" type="text/css"/>
</head><body>
<img class="logo" src="xsenslogo.jpg" alt="Xsens Logo" />
	<!-- Generated by Doxygen 1.8.11 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="struct_xs_raw_gnss_pvt_data-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">XsRawGnssPvtData Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>A container for GNSS Position Velocity and Time data.  
 <a href="struct_xs_raw_gnss_pvt_data.html#details">More...</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:af58b7e2e8551f3e09186086a4a9ee687"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="af58b7e2e8551f3e09186086a4a9ee687"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_raw_gnss_pvt_data.html#af58b7e2e8551f3e09186086a4a9ee687">operator==</a> (const <a class="el" href="struct_xs_raw_gnss_pvt_data.html">XsRawGnssPvtData</a> &amp;other) const </td></tr>
<tr class="memdesc:af58b7e2e8551f3e09186086a4a9ee687"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns true if all fields of this and <em>other</em> are exactly identical. <br /></td></tr>
<tr class="separator:af58b7e2e8551f3e09186086a4a9ee687"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:a51a440dce2b1b76c5dc93af6e2b675e9"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a51a440dce2b1b76c5dc93af6e2b675e9"></a>
uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_raw_gnss_pvt_data.html#a51a440dce2b1b76c5dc93af6e2b675e9">m_itow</a></td></tr>
<tr class="memdesc:a51a440dce2b1b76c5dc93af6e2b675e9"><td class="mdescLeft">&#160;</td><td class="mdescRight">GPS time of week (ms) <br /></td></tr>
<tr class="separator:a51a440dce2b1b76c5dc93af6e2b675e9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac8e508fee8b4bf2fdca2d98c40c9b149"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ac8e508fee8b4bf2fdca2d98c40c9b149"></a>
uint16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_raw_gnss_pvt_data.html#ac8e508fee8b4bf2fdca2d98c40c9b149">m_year</a></td></tr>
<tr class="memdesc:ac8e508fee8b4bf2fdca2d98c40c9b149"><td class="mdescLeft">&#160;</td><td class="mdescRight">Year (UTC) <br /></td></tr>
<tr class="separator:ac8e508fee8b4bf2fdca2d98c40c9b149"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aadd4e6dddd7fae293e85e8c4094d5ecf"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aadd4e6dddd7fae293e85e8c4094d5ecf"></a>
uint8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_raw_gnss_pvt_data.html#aadd4e6dddd7fae293e85e8c4094d5ecf">m_month</a></td></tr>
<tr class="memdesc:aadd4e6dddd7fae293e85e8c4094d5ecf"><td class="mdescLeft">&#160;</td><td class="mdescRight">Month (UTC) <br /></td></tr>
<tr class="separator:aadd4e6dddd7fae293e85e8c4094d5ecf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad62f8b439483f2700d8c48f6e1025e45"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ad62f8b439483f2700d8c48f6e1025e45"></a>
uint8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_raw_gnss_pvt_data.html#ad62f8b439483f2700d8c48f6e1025e45">m_day</a></td></tr>
<tr class="memdesc:ad62f8b439483f2700d8c48f6e1025e45"><td class="mdescLeft">&#160;</td><td class="mdescRight">Day of Month (UTC) <br /></td></tr>
<tr class="separator:ad62f8b439483f2700d8c48f6e1025e45"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a600e3aafb09bdf1bd26dbfcbc0494764"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a600e3aafb09bdf1bd26dbfcbc0494764"></a>
uint8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_raw_gnss_pvt_data.html#a600e3aafb09bdf1bd26dbfcbc0494764">m_hour</a></td></tr>
<tr class="memdesc:a600e3aafb09bdf1bd26dbfcbc0494764"><td class="mdescLeft">&#160;</td><td class="mdescRight">Hour of day 0..23 (UTC) <br /></td></tr>
<tr class="separator:a600e3aafb09bdf1bd26dbfcbc0494764"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af1ec39ecf87403a397f513b8048e5f07"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="af1ec39ecf87403a397f513b8048e5f07"></a>
uint8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_raw_gnss_pvt_data.html#af1ec39ecf87403a397f513b8048e5f07">m_min</a></td></tr>
<tr class="memdesc:af1ec39ecf87403a397f513b8048e5f07"><td class="mdescLeft">&#160;</td><td class="mdescRight">Minute of hour 0..59 (UTC) <br /></td></tr>
<tr class="separator:af1ec39ecf87403a397f513b8048e5f07"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a09b6156e177e52461c5b02df1b9bdf8e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a09b6156e177e52461c5b02df1b9bdf8e"></a>
uint8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_raw_gnss_pvt_data.html#a09b6156e177e52461c5b02df1b9bdf8e">m_sec</a></td></tr>
<tr class="memdesc:a09b6156e177e52461c5b02df1b9bdf8e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Seconds of minute 0..60 (UTC) <br /></td></tr>
<tr class="separator:a09b6156e177e52461c5b02df1b9bdf8e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5abe2b957374611494d731d8dd8c479c"><td class="memItemLeft" align="right" valign="top">uint8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_raw_gnss_pvt_data.html#a5abe2b957374611494d731d8dd8c479c">m_valid</a></td></tr>
<tr class="separator:a5abe2b957374611494d731d8dd8c479c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa19db60e748e8d4ec58a56496b4d963d"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa19db60e748e8d4ec58a56496b4d963d"></a>
uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_raw_gnss_pvt_data.html#aa19db60e748e8d4ec58a56496b4d963d">m_tAcc</a></td></tr>
<tr class="memdesc:aa19db60e748e8d4ec58a56496b4d963d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Time accuracy estimate (ns) (UTC) <br /></td></tr>
<tr class="separator:aa19db60e748e8d4ec58a56496b4d963d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a44a3766b001c8927abff30023710db35"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a44a3766b001c8927abff30023710db35"></a>
int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_raw_gnss_pvt_data.html#a44a3766b001c8927abff30023710db35">m_nano</a></td></tr>
<tr class="memdesc:a44a3766b001c8927abff30023710db35"><td class="mdescLeft">&#160;</td><td class="mdescRight">Fraction of second (ns) -1e9..1e9 (UTC) <br /></td></tr>
<tr class="separator:a44a3766b001c8927abff30023710db35"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1bd24d6a32479fe10fab9750c9c25a0d"><td class="memItemLeft" align="right" valign="top">uint8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_raw_gnss_pvt_data.html#a1bd24d6a32479fe10fab9750c9c25a0d">m_fixType</a></td></tr>
<tr class="separator:a1bd24d6a32479fe10fab9750c9c25a0d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a26b12581485878ce1f5b8709dadc9204"><td class="memItemLeft" align="right" valign="top">uint8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_raw_gnss_pvt_data.html#a26b12581485878ce1f5b8709dadc9204">m_flags</a></td></tr>
<tr class="separator:a26b12581485878ce1f5b8709dadc9204"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5eaee2191daff669afca0c77ecc97b8e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a5eaee2191daff669afca0c77ecc97b8e"></a>
uint8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_raw_gnss_pvt_data.html#a5eaee2191daff669afca0c77ecc97b8e">m_numSv</a></td></tr>
<tr class="memdesc:a5eaee2191daff669afca0c77ecc97b8e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Number of satellites used in Nav Solution. <br /></td></tr>
<tr class="separator:a5eaee2191daff669afca0c77ecc97b8e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2bee5d529b0a9418fc70221612b6c7d5"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a2bee5d529b0a9418fc70221612b6c7d5"></a>
uint8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_raw_gnss_pvt_data.html#a2bee5d529b0a9418fc70221612b6c7d5">m_res1</a></td></tr>
<tr class="memdesc:a2bee5d529b0a9418fc70221612b6c7d5"><td class="mdescLeft">&#160;</td><td class="mdescRight">Reserved for future use (1) <br /></td></tr>
<tr class="separator:a2bee5d529b0a9418fc70221612b6c7d5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad7d35b4862a14071b318e52308cbf1c6"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ad7d35b4862a14071b318e52308cbf1c6"></a>
int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_raw_gnss_pvt_data.html#ad7d35b4862a14071b318e52308cbf1c6">m_lon</a></td></tr>
<tr class="memdesc:ad7d35b4862a14071b318e52308cbf1c6"><td class="mdescLeft">&#160;</td><td class="mdescRight">Longitude (deg) (scaling 1e-7) <br /></td></tr>
<tr class="separator:ad7d35b4862a14071b318e52308cbf1c6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afc6fcbf3e1cd768c64b0fbdda467c3b6"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="afc6fcbf3e1cd768c64b0fbdda467c3b6"></a>
int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_raw_gnss_pvt_data.html#afc6fcbf3e1cd768c64b0fbdda467c3b6">m_lat</a></td></tr>
<tr class="memdesc:afc6fcbf3e1cd768c64b0fbdda467c3b6"><td class="mdescLeft">&#160;</td><td class="mdescRight">Latitude (deg) (scaling 1e-7) <br /></td></tr>
<tr class="separator:afc6fcbf3e1cd768c64b0fbdda467c3b6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4baa228aacf2be3810a23cadcfd31976"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a4baa228aacf2be3810a23cadcfd31976"></a>
int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_raw_gnss_pvt_data.html#a4baa228aacf2be3810a23cadcfd31976">m_height</a></td></tr>
<tr class="memdesc:a4baa228aacf2be3810a23cadcfd31976"><td class="mdescLeft">&#160;</td><td class="mdescRight">Height above ellipsoid (mm) <br /></td></tr>
<tr class="separator:a4baa228aacf2be3810a23cadcfd31976"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac2e4a85cff20fb8cd165c3accc765a0a"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ac2e4a85cff20fb8cd165c3accc765a0a"></a>
int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_raw_gnss_pvt_data.html#ac2e4a85cff20fb8cd165c3accc765a0a">m_hMsl</a></td></tr>
<tr class="memdesc:ac2e4a85cff20fb8cd165c3accc765a0a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Height above mean sea level (mm) <br /></td></tr>
<tr class="separator:ac2e4a85cff20fb8cd165c3accc765a0a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab12ccd86102c5dc285d3679ada11de1c"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ab12ccd86102c5dc285d3679ada11de1c"></a>
uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_raw_gnss_pvt_data.html#ab12ccd86102c5dc285d3679ada11de1c">m_hAcc</a></td></tr>
<tr class="memdesc:ab12ccd86102c5dc285d3679ada11de1c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Horizontal accuracy estimate (mm) <br /></td></tr>
<tr class="separator:ab12ccd86102c5dc285d3679ada11de1c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:affccb3a00ca71535d67e613d676bc76a"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="affccb3a00ca71535d67e613d676bc76a"></a>
uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_raw_gnss_pvt_data.html#affccb3a00ca71535d67e613d676bc76a">m_vAcc</a></td></tr>
<tr class="memdesc:affccb3a00ca71535d67e613d676bc76a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Vertical accuracy estimate (mm) <br /></td></tr>
<tr class="separator:affccb3a00ca71535d67e613d676bc76a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab62aeea35881ec4025a1588e7c954377"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ab62aeea35881ec4025a1588e7c954377"></a>
int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_raw_gnss_pvt_data.html#ab62aeea35881ec4025a1588e7c954377">m_velN</a></td></tr>
<tr class="memdesc:ab62aeea35881ec4025a1588e7c954377"><td class="mdescLeft">&#160;</td><td class="mdescRight">NED north velocity (mm/s) <br /></td></tr>
<tr class="separator:ab62aeea35881ec4025a1588e7c954377"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a830dfd47735ed97e41d5b28c05e77fcc"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a830dfd47735ed97e41d5b28c05e77fcc"></a>
int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_raw_gnss_pvt_data.html#a830dfd47735ed97e41d5b28c05e77fcc">m_velE</a></td></tr>
<tr class="memdesc:a830dfd47735ed97e41d5b28c05e77fcc"><td class="mdescLeft">&#160;</td><td class="mdescRight">NED east velocity (mm/s) <br /></td></tr>
<tr class="separator:a830dfd47735ed97e41d5b28c05e77fcc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8248d94d099748452f21f0505ab2c46e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a8248d94d099748452f21f0505ab2c46e"></a>
int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_raw_gnss_pvt_data.html#a8248d94d099748452f21f0505ab2c46e">m_velD</a></td></tr>
<tr class="memdesc:a8248d94d099748452f21f0505ab2c46e"><td class="mdescLeft">&#160;</td><td class="mdescRight">NED down velocity (mm/s) <br /></td></tr>
<tr class="separator:a8248d94d099748452f21f0505ab2c46e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aabfe968528743055521c45f37839e8d8"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aabfe968528743055521c45f37839e8d8"></a>
int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_raw_gnss_pvt_data.html#aabfe968528743055521c45f37839e8d8">m_gSpeed</a></td></tr>
<tr class="memdesc:aabfe968528743055521c45f37839e8d8"><td class="mdescLeft">&#160;</td><td class="mdescRight">2D Ground Speed (mm/s) <br /></td></tr>
<tr class="separator:aabfe968528743055521c45f37839e8d8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa0c4014ff2d763cff60de93571bae0c3"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa0c4014ff2d763cff60de93571bae0c3"></a>
int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_raw_gnss_pvt_data.html#aa0c4014ff2d763cff60de93571bae0c3">m_headMot</a></td></tr>
<tr class="memdesc:aa0c4014ff2d763cff60de93571bae0c3"><td class="mdescLeft">&#160;</td><td class="mdescRight">2D Heading of motion (deg) (scaling 1e-5) <br /></td></tr>
<tr class="separator:aa0c4014ff2d763cff60de93571bae0c3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4472c25443772a19bc0c7237b3bcec5b"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a4472c25443772a19bc0c7237b3bcec5b"></a>
uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_raw_gnss_pvt_data.html#a4472c25443772a19bc0c7237b3bcec5b">m_sAcc</a></td></tr>
<tr class="memdesc:a4472c25443772a19bc0c7237b3bcec5b"><td class="mdescLeft">&#160;</td><td class="mdescRight">Speed accuracy estimate (mm/s) <br /></td></tr>
<tr class="separator:a4472c25443772a19bc0c7237b3bcec5b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a04e5ceff9c8efcaba50b4eb17a701b62"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a04e5ceff9c8efcaba50b4eb17a701b62"></a>
uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_raw_gnss_pvt_data.html#a04e5ceff9c8efcaba50b4eb17a701b62">m_headAcc</a></td></tr>
<tr class="memdesc:a04e5ceff9c8efcaba50b4eb17a701b62"><td class="mdescLeft">&#160;</td><td class="mdescRight">Heading accuracy estimate (both motion and vehicle) (deg) (scaling 1-e5) <br /></td></tr>
<tr class="separator:a04e5ceff9c8efcaba50b4eb17a701b62"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab1734f6d8aea328d2695531ad51f8ff4"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ab1734f6d8aea328d2695531ad51f8ff4"></a>
int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_raw_gnss_pvt_data.html#ab1734f6d8aea328d2695531ad51f8ff4">m_headVeh</a></td></tr>
<tr class="memdesc:ab1734f6d8aea328d2695531ad51f8ff4"><td class="mdescLeft">&#160;</td><td class="mdescRight">2D Heading of vehicle (deg) (scaling 1e-5) <br /></td></tr>
<tr class="separator:ab1734f6d8aea328d2695531ad51f8ff4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4ef75a87ccb0db60c09292ad1a790894"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a4ef75a87ccb0db60c09292ad1a790894"></a>
uint16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_raw_gnss_pvt_data.html#a4ef75a87ccb0db60c09292ad1a790894">m_gdop</a></td></tr>
<tr class="memdesc:a4ef75a87ccb0db60c09292ad1a790894"><td class="mdescLeft">&#160;</td><td class="mdescRight">Geometric DOP (scaling 0.01) <br /></td></tr>
<tr class="separator:a4ef75a87ccb0db60c09292ad1a790894"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae1253d0f8fe1565241ff522abe54a7c2"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ae1253d0f8fe1565241ff522abe54a7c2"></a>
uint16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_raw_gnss_pvt_data.html#ae1253d0f8fe1565241ff522abe54a7c2">m_pdop</a></td></tr>
<tr class="memdesc:ae1253d0f8fe1565241ff522abe54a7c2"><td class="mdescLeft">&#160;</td><td class="mdescRight">Position DOP (scaling 0.01) <br /></td></tr>
<tr class="separator:ae1253d0f8fe1565241ff522abe54a7c2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa7b66b9fe94696d8bc4b9b295d397a2b"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa7b66b9fe94696d8bc4b9b295d397a2b"></a>
uint16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_raw_gnss_pvt_data.html#aa7b66b9fe94696d8bc4b9b295d397a2b">m_tdop</a></td></tr>
<tr class="memdesc:aa7b66b9fe94696d8bc4b9b295d397a2b"><td class="mdescLeft">&#160;</td><td class="mdescRight">Time DOP (scaling 0.01) <br /></td></tr>
<tr class="separator:aa7b66b9fe94696d8bc4b9b295d397a2b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a34c0b0abd93a64bbdc102d5e58c92ca4"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a34c0b0abd93a64bbdc102d5e58c92ca4"></a>
uint16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_raw_gnss_pvt_data.html#a34c0b0abd93a64bbdc102d5e58c92ca4">m_vdop</a></td></tr>
<tr class="memdesc:a34c0b0abd93a64bbdc102d5e58c92ca4"><td class="mdescLeft">&#160;</td><td class="mdescRight">Vertical DOP (scaling 0.01) <br /></td></tr>
<tr class="separator:a34c0b0abd93a64bbdc102d5e58c92ca4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aeb8e2825bd0e8dd30f96e027911aa0d4"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aeb8e2825bd0e8dd30f96e027911aa0d4"></a>
uint16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_raw_gnss_pvt_data.html#aeb8e2825bd0e8dd30f96e027911aa0d4">m_hdop</a></td></tr>
<tr class="memdesc:aeb8e2825bd0e8dd30f96e027911aa0d4"><td class="mdescLeft">&#160;</td><td class="mdescRight">Horizontal DOP (scaling 0.01) <br /></td></tr>
<tr class="separator:aeb8e2825bd0e8dd30f96e027911aa0d4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6adc3325b4ed45e82945882b5e60e9f1"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a6adc3325b4ed45e82945882b5e60e9f1"></a>
uint16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_raw_gnss_pvt_data.html#a6adc3325b4ed45e82945882b5e60e9f1">m_ndop</a></td></tr>
<tr class="memdesc:a6adc3325b4ed45e82945882b5e60e9f1"><td class="mdescLeft">&#160;</td><td class="mdescRight">Northing DOP (scaling 0.01) <br /></td></tr>
<tr class="separator:a6adc3325b4ed45e82945882b5e60e9f1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1e0e15e56be21e6b2f059eb425f8a81e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a1e0e15e56be21e6b2f059eb425f8a81e"></a>
uint16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_raw_gnss_pvt_data.html#a1e0e15e56be21e6b2f059eb425f8a81e">m_edop</a></td></tr>
<tr class="memdesc:a1e0e15e56be21e6b2f059eb425f8a81e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Easting DOP (scaling 0.01) <br /></td></tr>
<tr class="separator:a1e0e15e56be21e6b2f059eb425f8a81e"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>A container for GNSS Position Velocity and Time data. </p>
</div><h2 class="groupheader">Member Data Documentation</h2>
<a class="anchor" id="a1bd24d6a32479fe10fab9750c9c25a0d"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint8_t XsRawGnssPvtData::m_fixType</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>GNSSfix Type, range 0..5 0x00 = No Fix 0x01 = Dead Reckoning only 0x02 = 2D-Fix 0x03 = 3D-Fix 0x04 = GNSS + dead reckoning combined 0x05 = Time only fix 0x06..0xff: reserved </p>

</div>
</div>
<a class="anchor" id="a26b12581485878ce1f5b8709dadc9204"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint8_t XsRawGnssPvtData::m_flags</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Fix Status Flags bit(0) = Set if there is a valid fix (i.e. within DOP &amp; accuracy masks) bit(1) = Set if differential corrections were applied bit(2..4) = Reserved (Ignore) bit(5) = Set if heading of vehicle is valid </p>

</div>
</div>
<a class="anchor" id="a5abe2b957374611494d731d8dd8c479c"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint8_t XsRawGnssPvtData::m_valid</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Validity Flags bit(0) = Set if UTC Date is valid bit(1) = Set if UTC Time of Day if valid bit(2) = Set if UTC Time of Day has been fully resolved (no seconds uncertainty) </p>

</div>
</div>
</div><!-- contents -->

<div class="tabs">&nbsp;</div>
<hr size="1" />
<address style="text-align: right;">
<small>Generated on Wed May 17 2017 for Xsens by <a href="http://www.doxygen.org/index.html">Doxygen</a> 1.8.11</small>
</address>
</body>
</html>
